﻿//# sourceURL=MyDesktop.Dock.js

/**
 * dockWindows
 *
 * Maximizes and docks all windows horizontally.
 */
this.dockWindows = function () {

	var windows = this.getWindows();

	// collect only visible (not minimized) windows.
	var visibleWindows = [];
	for (var i = 0; i < windows.length; i++) {
		if (windows[i].isVisible())
			visibleWindows.push(windows[i]);
	}

	var count = visibleWindows.length;
	if (count == 0)
		return;

	var left = 0;
	var right = 0;
	var size = 100 / count;

	for (var i = 0; i < count; i++) {

		var w = visibleWindows[i];

		if (!w.isVisible())
			continue;

		w.maximize();
		left = size * i;
		right = 100 - left - size;
		w.setLayoutProperties({ left: left + "%", right: right + "%", top: 0, bottom: 0 });

		// add a border to separate the docked windows.
		w.getContentElement().setStyles({border:"1px solid gray"});
	}
}